Skip to main content
GET
/
2025-07
/
retail-media
/
line-items
/
{line-item-id}
/2025-07/retail-media/line-items/{line-item-id}
curl --request GET \
  --url https://api.criteo.com/2025-07/retail-media/line-items/{line-item-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "campaignId": "<string>",
      "name": "<string>",
      "startDate": "2023-12-25",
      "targetRetailerId": "<string>",
      "budget": 123,
      "budgetRemaining": 123,
      "budgetSpent": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "endDate": "2023-12-25",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

line-item-id
string
required

The given line item id

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single entity

data
object

A class that represents a domain entity exposed by an API

errors
object[]
read-only
warnings
object[]
read-only